@import '../../../../scss/variables.scss';

.format-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 2.75rem;
  padding: 0.4rem 1.5rem;
  border-radius: 2px;

  span {
    font-size: 0.7rem;
    text-transform:
     uppercase;
    color: white;
    font-weight: 600;
  }
}

// Default color if unknown or exotic file extension
.format-icon {
  background-color: $unknown-color;
}

.format-icon.PDF {
  background-color: $pdf-color;
}

.format-icon.PNG {
  background-color: $png-color;
}

.format-icon.JPEG {
  background-color: $jpg-color;
}

.format-icon.KML {
  background-color: $kmz-color;
}

.format-icon.ShapeFile {
  background-color: $shp-color;
}

.format-icon.ZIP {
  background-color: $zip-color;
}

.format-icon.JSON,
.format-icon.GeoJSON {
  background-color: $json-color;
}

.format-icon.GeoJSON span {
  text-transform: unset;
}

.format-icon.GML {
  background-color: $gml-color;
}

.format-icon.CSV {
  background-color: $csv-color;
}

.format-icon.TIFF {
  background-color: $tiff-color;
}

.format-icon.ECW {
  background-color: $ecw-color;
}

.format-icon.XML {
  background-color: $xml-color;
}
